### Method

# RB RhythmDB do_full_query

#### Declaration [src]

    void
    rhythmdb_do_full_query (
      RhythmDB* db,
      RhythmDBQueryResults* results,
      ...
    )

#### Description [src]

Synchronously evaluates `query`, feeding results to `results` in chunks. Does not return until the query is complete. This can only be called from the main thread.

FIXME: example.

This method is not directly available to language bindings.

#### Parameters

`results`

  Type: `RhythmDBQueryResults`

  A `RhythmDBQueryResults` instance to feed results to.

  The data is owned by the caller of the method.

`...`

  Type: ``

  Query parameters.